package rai_serve

import (
	"github.com/beego/beego/v2/client/orm"
)

// 权益服务明细表
type CygxUserFeedback struct {
	UserFeedbackId int    `orm:"column(user_feedback_id);pk";comment:"主键id"`
	Content        string `comment:"服务内容说明"`
	UserId         int    `comment:"用户ID"`
	Mobile         string `comment:"手机号"`
	Email          string `comment:"邮箱"`
	CompanyId      int    `comment:"公司ID"`
	CompanyName    string `comment:"公司名称"`
	RealName       string `comment:"用户实际名称"`
	CreateTime     string `comment:"创建时间"`
}

func GetCygxUserFeedbackList(condition string, pars []interface{}) (items []*CygxUserFeedback, err error) {
	o := orm.NewOrm()
	sql := `SELECT *
			FROM
			cygx_user_feedback
			WHERE 1 = 1 ` + condition
	_, err = o.Raw(sql, pars).QueryRows(&items)
	return
}
